ur_rna.StructureEditor.services.drawing

## Class NucLayout

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.NucLayout

-     public class NucLayout
      extends java.lang.Object

  Performs nucleotide layouts of various types.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private DrawSettings` | `drawSettings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NucLayout()`
    `NucLayout(DrawSettings drawSettings)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `backendRedrawRadial(RnaScene scene, RNA rna, int structureNumber)`
    `Ellipses.Circle` | `calcLoopBestFitCircle(Motif.Loop m)`
    `Ellipses.Circle` | `calcMultiLoopBestFitCircle(Motif.MultiLoop m)`
    `float` | `calcOptimalMultiLoopRadius(Motif.MultiLoop m)`
    `static java.awt.geom.QuadCurve2D` | `getCircularBond(Bond b)`
    `static java.awt.geom.Arc2D` | `getLinearBond(Bond b)`
    `private static int` | `iceil(double number)`
    `void` | `redrawCircular(RnaScene scene)`
    `void` | `redrawHelix(Motif.Helix h)`
    `void` | `redrawLinear(RnaScene scene)`
    `void` | `redrawLoop(Motif.Loop m)`
    `void` | `redrawMultiLoop(Motif.MultiLoop m, SceneController controller)`
    `void` | `redrawRadial(RnaScene scene)`
    `void` | `redrawRadial(RnaSceneGroup group)`
    `void` | `setDrawSettings(DrawSettings drawSettings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### drawSettings

          private DrawSettings drawSettings

  - ### Constructor Detail

    - #### NucLayout

          public NucLayout()

    - #### NucLayout

          public NucLayout(DrawSettings drawSettings)

  - ### Method Detail

    - #### backendRedrawRadial

          private void backendRedrawRadial(RnaScene scene,
                                           RNA rna,
                                           int structureNumber)

    - #### calcLoopBestFitCircle

          public Ellipses.Circle calcLoopBestFitCircle(Motif.Loop m)

    - #### calcMultiLoopBestFitCircle

          public Ellipses.Circle calcMultiLoopBestFitCircle(Motif.MultiLoop m)

    - #### calcOptimalMultiLoopRadius

          public float calcOptimalMultiLoopRadius(Motif.MultiLoop m)

    - #### getCircularBond

          public static java.awt.geom.QuadCurve2D getCircularBond(Bond b)

    - #### getLinearBond

          public static java.awt.geom.Arc2D getLinearBond(Bond b)

    - #### iceil

          private static int iceil(double number)

    - #### redrawCircular

          public void redrawCircular(RnaScene scene)

    - #### redrawHelix

          public void redrawHelix(Motif.Helix h)

    - #### redrawLinear

          public void redrawLinear(RnaScene scene)

    - #### redrawLoop

          public void redrawLoop(Motif.Loop m)

    - #### redrawMultiLoop

          public void redrawMultiLoop(Motif.MultiLoop m,
                                      SceneController controller)

    - #### redrawRadial

          public void redrawRadial(RnaScene scene)
                            throws RnaBackendException

      Throws:
        `RnaBackendException`

    - #### redrawRadial

          public void redrawRadial(RnaSceneGroup group)
                            throws RnaBackendException

      Throws:
        `RnaBackendException`

    - #### setDrawSettings

          public void setDrawSettings(DrawSettings drawSettings)